Advertisements



OEPE versions in OSB

As we know that Weblogic and OEPE installation are pre-requisites for OSB11g installation. Oracle had started shipping Weblogic bundled with Coherence and OEPE. Using this Weblogics installer is the best way to get compatible OEPE for a particular release. However, these are not available for 64-bit machines and need to do manual installation JDK, Weblogic using generic Installer, compatible OEPE version along with your required version of OSB 11g.

So you need to better understand compatible versions of OEPE for a particular OSB 11g release. The following shows the compatibility matrix:

OSB Weblogic Server OEPE
11.1.1.6.0
11.1.1.7.0
10.3.6 11.1.1.8.0
11.1.1.5.0 10.3.5 11.1.1.7.2
11.1.1.4.0 10.3.4 11.1.1.6.1
11.1.1.3.0 10.3.3 11.1.1.5

These versions of Oracle Enterprise Pack for Eclipse are available here.

Advertisements

21 Responses to “OEPE versions in OSB”


  1. 1 Siddarth January 16, 2016 at 3:47 AM

    Hi Shiva,

    Is it possible to develop 12c OSB code on eclipse,tried with below version getting difficult to find OSB plugin.

    Please help me out…

    in SOA Suite 12c, OSB is rechristened as Service Bus and you can use either JDeveloper or Eclipse for development. If you want to use Eclipse, following is the compatible version.

    Service Bus Weblogic Server OEPE
    12.1.3 12.1.3 12.1.3.1

  2. 3 vrsbrazil April 26, 2013 at 7:54 PM

    Hey, great post! I´ve been looking all over for instructions on OEPE+OSB 64 bits, would you like to trade blogrolls? Please get in touch, my blog is http://vrsbrazil.wordpress.com.

    Thank you.

  3. 4 download yahoo messenger December 29, 2012 at 5:02 PM

    I certainly love all of the tough work that you’ve devoted to keeping this website here for your followers. I truly hope this remains for a nice long time.

  4. 6 rakesh July 1, 2012 at 5:19 PM

    Hi shiva,

    i have an issue while i am working with eclipse.
    i have OSB server is in Linux64bit Operating system and also
    weblogic version is 10.3.6.

    Now my problem is, i need to connect osb server from eclipse(oepe-indigo-all-in-one-11.1.1.8.0.201110211138-win32-x86_64).
    i am installing eclipse(oepe-indigo-all-in-one-11.1.1.8.0.201110211138-win32-x86_64) in a client machine(windows 64-bit OS).
    For this i am following below steps:
    1. weblogic server(10.3.6) again i installed in client machine
    2. external OEPE(oepe-indigo-all-in-one-11.1.1.8.0.201110211138-win32-x86_64) placed parallel to weblogic home(C:\OSBhome\Oracle\Middleware).
    3. installed OSB server(11.1.1.6).

    Now i started eclipse but i am unable to connect to remote OSB server.
    I getting below error.

    server status:
    “”””[remoteServer at [soabpm-vm] Stopped domain version does not matched the running server]””””

  5. 8 Barry Ghotra October 22, 2011 at 4:51 AM

    Just to clarify:
    a) So for linux 64-bit we would need to install WLS 10.3.5 with coherence first and then install helio’s 11.1.1.7.3 or 11.1.1.7.2 OEPE independently?

    Thank You.

    • 9 svgonugu October 26, 2011 at 8:15 PM

      process i observed when installing OSB in 64-bit windows is like below..
      JDK 64-bit installation as we will have to use generic installer for WLS in OTN
      WLS installation
      OEPE installation compatible with version of OSB
      and finally OSB installation.

  6. 10 ramkakarlamudi August 10, 2011 at 8:43 PM

    are you guys able to get oepe working on windows 7 64 bit? I tried multiple combinations and none worked.

    Siva…your blog entries are very informative..keep up the good work…

  7. 15 archenroot July 22, 2011 at 1:27 PM

    Hi,

    there is already OEPE 11.1.1.7.3 version out, but I am not able to use it with OSB 11.1.1.5.0 and WebLogic 10.3.5.
    Thank you for your compatible list, I am going to try OEPE 11.1.1.7.2 with these products.

    Ladislav


  1. 1 OEPE versions in OSB 11g | vrsbrazil Trackback on April 26, 2013 at 7:56 PM
  2. 2 Oracle Service Bus 11g (OSB) Installation | Siva's Blog Trackback on February 28, 2013 at 9:35 PM
  3. 3 OSB 11.1.1.6 « Siva's Blog Trackback on March 2, 2012 at 11:07 PM

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s




Advertisements

Pages

Enter your email address to subscribe to this blog and receive notifications of new posts by email.

Join 341 other followers

Enter your email address to follow this blog and receive notifications of new posts by email.